.minibox {
    position: absolute;
    width: fit-content;
    height: fit-content;
    background-color: white;
    border: 1px solid rgb(94, 92, 92);
    display: none;
    margin-bottom: 224px;
    border-radius: 10px;

}

.body_minibox {
    overflow-y: auto;
    overflow-x: hidden;
    scrollbar-width: thin;
    max-width: 190px;
    max-height: 190px;
    padding: 5px;
    user-select: none;

}

.emojin {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    border-radius: 20pc !important;
    width: 50px;
    height: 50px;
    padding: 2px;
}

.emojin:hover {
    background-color: #d9dfdf;
    ;

}

.box_user_friends,
.menu_div {
    min-width: 300px;
}

.box_user_friends,.box_user_notifications {
    width: 20%;
    position: fixed !important;
    box-shadow: 0px 5px 5px -1px;
    height: 90vh;
    bottom: 0;
    overflow-y: auto;
}

.box_user_favorits{
    .body{
        overflow-y: auto;
        .col_{
            min-width: 200px;
        }
    }
}
.box_user_favorits,
.box_center {
    left: 0 !important;
    right: 0 !important;
    bottom: 0 !important;
    top: 0 !important;
    border-radius: 5px !important;
    box-shadow: var(--box_shadow) !important;
    max-height: 70vh !important;
    min-height: 450px !important;
    width: fit-content !important;
    min-width: 300px !important;
    min-height: 350px !important;
    margin: auto !important;
    position: fixed !important;
    max-width: 60vw !important;
    display: flex;
    flex-direction: column !important;
    height: fit-content;

    .body {
        flex: 3;
    }
}
.box_right{
    display: flex;
    flex-direction: column;
    .body{
        flex: 1;
    }
}




.img_favorit {
    object-fit: cover;
    height: 100%;
    height: 188px;
    width: 100%;
}

.favorit_pack {

    box-sizing: border-box;
    float: left;
    margin: 0;
}

.fav_root {
    border-radius: 10px;
    border: solid 1px #b9b9b9;

    .body {
        display: flex;
        flex-direction: column;
    }

    .header {
        display: flex;
    }

    .small_favorit_nome {
        width: 100%;
        text-wrap: nowrap;
        font-size: 12px;
        background-color: white;
        overflow: hidden;
        text-overflow: ellipsis;
        padding-inline: 5px;
        border-radius: 0px 0px 20px 20px;
    }
}


.div_img_favorit svg {
    cursor: pointer;
    position: absolute;
    margin-top: -9px;
    margin-left: -7px;
    transform: rotate(-30deg);
    width: 15px;
}



.box_datalists.box_user_friends,.box_user_notifications {
    inset: auto 0 5px auto !important;
    position: fixed !important;
    border-radius: 20px 20px 20px 20px;
    min-width: unset !important;
}
   
    .float_opt.visible {
        display: block !important;
        position: relative;
        .float_opt_btn {
            rotate: 90deg;
            svg {
                width: 40px;
                height: 40px;
                path:first-child {
                    fill: #00000000 !important;
                }
            }
        }
      
        .dinamic_div {
            display: block !important;
    }
    }
    /* float opt $ */
    .float_opt {
        position: absolute;
        
        .dinamic_div {
            align-items: flex-end;
        }
      }
    .float_opt.visible.right{
        margin-right: 5px;
        .dinamic_div {
            display: flex !important;
           .box{
            margin-top: 100%;
           }
        }
    }
    .float_opt.visible.left{
        margin-left: 5px;
        .dinamic_div {
            display: flex !important;
            align-items:first baseline;
           .box{
            margin-top: 100%;
           }
        }
    }


.lista_contactos {
    list-style-type: none;
    padding: 0px;
    overflow-y: auto;
    scrollbar-width: thin;
    overflow-x: hidden;
}

.span_nome_contacto {
    font-weight: 600;
}

.small_last_mensagem {
    color: #000000;
    overflow: hidden !important;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 80%;
}

.div_contacto {
    line-height: 16px;
    display: flex;
    align-items: center;
}

.text_contact {
    span {
        color: var(--doby_color);
    }
    margin-left: 4px;
}

.img_contact {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 30pc;
}

.div_img_contact {
    align-items: stretch;
    border-radius: 30pc;
}

#find_contact {
    box-shadow: unset;
    outline: none;
    border: none;
    width: 100%;

}

.div_find_contact {
    border: var(--fine_border_div);
    border-radius: 10px;
    padding-inline: 8px;
    padding-block: 5px;
    display: flex;
    align-items: center;
    background-color: white;
}


.list_contact_search {
    list-style-type: none;
    padding-left: 0px !important;
    li{
        background-image: var(--contact-background);
    }
    li:hover{
        background-image: unset;
    }
}

.list_contact_search li:hover {
    background-color: #0202021a;
}



.profile_img {
    min-height: 80px;
    width: 10vw;
    min-height: 80px;
    height: 10vw;
    min-width: 80px;
    object-fit: cover;
    object-position: top;
    border-radius: 100%;
}

.footer_box {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.main_box {
    padding: 10px;
    height: fit-content;

}

.mini_box_legend {
    font-size: 12px;
    font-weight: 600;
    align-items: center;
    text-align: center;
}

.di_contact_search {
    display: none;
    z-index: 1;
}

.img_contact_find {
    width: 30px;
    height: 30px;
}

.body_mini_box {
    display: flex;
    flex-direction: column;

}

.btn_edit {
    border-radius: 5px 5px 0px 0px
}

.btn_delete {
    border-radius: 0px 0px 5px 5px;

}

.span_user_favorits_title {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    font-weight: 600;
}


.data_conta {
    display: flex;
    justify-content: end;
}

.small_small10 {
    font-size: 10px;
}

.default_contacto {
    margin-top: 20%;
    align-items: center;
    display: flex;
    justify-content: center;
}

.body_default_contacto {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.div_head_contacto {
    display: flex;
    justify-content: end;
    margin-block: 5px;
    align-items: center;
}

.button_more_contacto {
    border: none;
    background-color: unset;
    border-radius: 10pc;
    padding: 5px;

}

.button_more_contacto:hover {
    background-color: var(--button_hover);

}


.user_friends_options {
    display: none;
    background-color: white;
    position: absolute;
    inset: auto calc(1.5vw) auto auto;
    padding: 15px;
    box-shadow: var(--box_shadow);
    border-radius: var(--border_radius_min);

}

.arraw_svg {
    position: absolute;
    transform: rotate(59deg);
    top: -13px;
    right: -7px;

}

.user_friends_options2 {
    display: flex;
}

.box {
    z-index: 4000;
}

.data_profile {
    display: none;
    position: absolute;
    z-index: 4;
    background-color: white;
    box-shadow: var(--box_shadow);
    border-radius: 10px;
    width: 300px;
    right: 200px;
a{
    width: 100% !important;
}


}

.body_data_profile {
    padding: 10px;
}

.box.box_box_datalists {
    display: none;
    border-radius: 5px;
    background-color: white;
    padding: 5px;
}

.box_add_subc {
    min-width: 350px !important;
}

.box_add_emojin {
    min-width: 300px !important;
}
.box_user_report_anuncy{
    max-width: 500px !important;
    width: 100% !important;
    max-height: unset !important;
    .body{
        position: relative;
        max-height: 100%;
    }
}
.box_datalists {
    background-color: white;
    border-radius: 5px;
    box-shadow: var(--box_shadow);
    position: absolute;
    padding: 10px;
    width: 100%;
    max-width: 400px;
    min-width: fit-content;
    .body_box_add_subc {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: start;
        text-align: start;
        padding-right: 10px;
        max-height: 400px;
        max-width: 400px;

    }

    ul {
        list-style: none;
        padding-left: unset;
        margin-block: unset !important;
    }

    .body_box_add_order {
        max-height: 300px;
        padding-right: 10px;
        min-width: 300px;
    }

    .body_box_add_subc,
    .body_box_add_emojin,
    .body_box_add_order {
        overflow-y: auto;
        width: 100%;
    }

    .body_box_add_emojin {
        max-height: 350px;
        max-width: 300px;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .small_label_subc {
        border-top: var(--fine_border_div);
    }

    /* Contato option */
    .option_contacto,
    .opt,
    .option_lista_contactos,
    .option_user_anuncy {
        padding-block: 5px !important;
        gap: 10px;
        grid-template-columns: 25px auto !important;
        color: var(--bs-secondary-text-emphasis);
        span {
            text-wrap: nowrap;
            text-align: start;
        }

        .div_img_option {
            background-color: unset !important;
            width: 30px !important;
            height: 30px !important;

            img {
                width: 25px !important;
                height: 25px !important;
            }
        }
    }
.opt{
    border-radius: 5px;
    a{
        color: var(--bs-secondary-text-emphasis) !important;
    }
}


.option_lista_contactos,
.opt,
.control.element_option,
    .option_subc,
    .option_contacto,
    .option_user_anuncy {
        margin-block: 2px;
        padding: 5px;
        padding-block: 15px;
        display: grid;
        grid-template-columns: 40px auto;
        align-items: center;
        color: var(--bs-secondary-text-emphasis) !important;
        .div_name_subc,
        .div_name_order {
            margin-left: 10px;
            font-size: 18px;
            width: 100%;
            display: flex;
            align-items: center;
            height: 40px;
        }

        .div_img_option {
            border-radius: 5pc;
            background-color: var(--half_dark_background1);
            display: flex;
            justify-content: center;
            align-items: center;
            width: 45px;
            padding: 3px;
            height: 45px;
            border-radius: 5pc;

            svg,
            img {
                width: 36px;
                height: 36px;
            }
        }
    }
}


.div_name_order {
    text-align: start;
    font-size: 18px;

    span {
        width: 100%;
    }

}


.box_add_order {
    width: fit-content;

    .option_order {
        padding: 15px;
        margin-block: 5px;
    }
}

.dinamic_div {
    position: relative;
}

.element_option {
    border-radius: 5px;
}

.element_option:hover {
    background-color: var(--select_hover_color);
}
.btn-close:hover,.float_opt_btn:hover {
    background-color: var(--half_dark_background1);
}

.float_opt_btn{
    padding: unset;
    border-radius: 5pc;
}
.btn-close {
    padding: 10px;
    border-radius: 5pc;
    outline: none;
    box-shadow: unset;
    width: 20px;
    height: 20px;
    background-size: 15px 15px;
}


.box_money_country {
    min-width: unset;
    max-width: unset;

    option {
        overflow: hidden;
        text-overflow: ellipsis;

        div {
            display: inline-flex;
        }
    }
}

/* Formatacção da box notificação 
#################################################################
#################################################################
*/
.dinamic_notfi {
    position: fixed;
    left: 0;
    right: 0;
    top: 8vh;
    z-index: 4000;
    padding-inline: 10px;
}

.notifyerror {
    background-color: #ff8888 !important;
}

.notifyok {
    background-color: #00c3ff !important;
}

.notifysugest {
    background-color: var(--blue_black) !important;
}

.notificacion0 {
    position: static;
    height: fit-content;
    display: flex;
    width: 40vw;
    background-color: #fff;
    margin: auto;
    border-radius: 4px;
    display: none;
    margin-bottom: 5px;
}

.box_notificacion {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row-reverse;
    padding-inline: 10px;
    text-align: center;
    legend {
        margin-bottom: unset;
        padding-block: 3px;
        color: #fff;
    }
}

.text_notfie {
    display: flex;
    align-self: center;
    justify-content: center;
}

.label_small {
    font-size: 12px;
    font-weight: 600;
    display: inline-block;
}

/* ########*/

.box_system_message_dialog {
    position: fixed !important;
    margin: auto !important;
    inset: 0 !important;
    height: fit-content !important;
    max-height: 600px !important;
    min-height: unset !important;
    /* background-color: var(--active_blue); */

    .active_button {
        background-color: white !important;
        color: var(--placeholder_color) !important;
        font-weight: 800;
        padding-inline: 40px !important;

    }

    .pack_def {
        margin: auto;
        display: flex;
        justify-content: center;
        flex-direction: column;
        text-align: center;
        p {
            margin-bottom: 1rem !important;
        }
    }
    .body {
        display: flex;
        flex-direction: column;
        width: 100%;
    }
}
/* Box Coment$ */
.box_comment{
    width: 50vw !important;
    height: 60vh !important;
    min-width: 300px !important;
}
/* OPTION BOX$ */
.box_option{
    background-color: unset !important ;
    padding: unset !important;
    .body{
        background-color: white ;
        .opt{
            border-radius: unset !important;
            padding:15px !important;
            padding-block: 10px !important;
            margin: unset;
            cursor: pointer;
        }
    }
}

/* Filtro$ */
.filtros0 {
    .box_datalists{
        width: 100% !important;
        min-width: unset !important;
        max-width: unset;
        .body{
            max-width: 100% !important;
        }
    }
    .div_input_filtro{
        min-width: 300px;
    }
}
/* search_display$ */

.box.box_fullscreen{
    top: 0 !important;
    left: 0 !important;
    right: 0 !important;
    bottom: 0 !important;
    max-width: unset !important;
    min-height: unset !important;
    max-height: unset !important;
    width: unset !important;
    height: 100vh !important;
    margin: unset !important;
}
/* DIMPopup ////////////////////////////////////////////////////////////////////////////////////// 
/////////////////////////////////////////////////////////////////////////////////////////////////*/
.dinamic_popup{
    position: fixed;
    bottom: 0;
    left: 0;
    right:0;
    margin: 10px 10px 10px 10px;
    height: fit-content;
    width: fit-content;
}
.popup{
    background-color: #201e1e;
    border-radius: 5;
    
    color: white;
    border-radius: 5px;
    a{
        border: unset;
        padding-block: 10px;
        box-shadow: unset;
        background-color: unset !important;
    }
}

/* box_menu_update_image_user */
.box_menu_update_image_user{
    min-height: unset !important;
}